package com.ai.da.service;

import com.ai.da.mapper.primary.entity.DesignItemDetail;
import com.ai.da.mapper.primary.entity.DesignItemDetailCanvas;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface DesignItemDetailService extends IService<DesignItemDetail> {

    int deleteByDesignId(Long designId);

    int deleteByDesignItemId(Long designItemId);

    List<DesignItemDetail> selectByDesignItemId(Long designItemId);

    void setDesignItemDetailPriority(List<DesignItemDetail> designItemDetailList);

    void saveDesignItemDetailCanvas(Long designItemDetailId, Long exportFileId);

    DesignItemDetailCanvas getDIDCByDesignItemDetailId(Long designItemDetailId);

    void updateDetailPathById(Long id, String path);
}
